Bug 58942 - should gnome-libs obsolete db1?
should gnome-libs obsolete db1?
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-libs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: Triaged
: 59264 69185 73138 73139 (view as bug list)
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
Reported: 2002-01-28 08:36 EST by Jonathan Kamens
Modified: 2007-04-18 12:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-28 14:44:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-01-28 08:36:55 EST
Tried to upgrade to gnome-libs- from Raw Hide.  Got this:

file /usr/bin/db1_dump185 from install of gnome-libs- conflicts with
file from package db1-1.85-7
file /usr/lib/libdb1.so.2 from install of gnome-libs- conflicts with
file from package db1-1.85-7

My guess here is that gnome-libs is trying to obsolete db1, since db1 isn't in
Raw Hide.  If that's the case, shouldn't the RPM know to remove db1?  Also, if
that's what's going on, it seems somewhat incongruous to me, since there are
things outside of GNOME that depend on db1.
Comment 1 Havoc Pennington 2002-01-28 11:09:40 EST
The idea is that in rawhide everything else depending on db1 will go away, 
and it will remain purely to maintain the gnome-libs ABI.

I was advised not to Obsoletes: db1 for now, but I don't really understand the 
technical issues there.
Comment 2 Havoc Pennington 2002-02-26 14:55:11 EST
*** Bug 59264 has been marked as a duplicate of this bug. ***
Comment 3 Havoc Pennington 2002-07-02 18:53:07 EDT
Jeremy, Bill - should I obsolete db1?
Comment 4 Jeremy Katz 2002-07-03 00:56:35 EDT
The downside is that adding an obsoletes means that upgrades where db1 was
installed (basically, all installs) will always pull in gnome-libs, which I'm
not sure we really want to do :/

Just having a conflicts might be the best solution (though I'd need to
double-check what the installer would do in that case)
Comment 5 Bill Nottingham 2002-07-03 11:10:31 EDT
Also, it needs to not freak out RHN, whichever solution we choose.
Comment 6 Jeremy Katz 2002-07-03 11:29:12 EDT
The goal is that anaconda and up2date's code will be a lot more similar now so
that we can catch the freak-ish rhn cases during installer testing
Comment 7 Aleksey Nogin 2002-07-10 17:01:57 EDT
Does this suggest a need for a new kind of "Obsoletes" dependency
("MayObsolete"?) that would allow removing "MayObsoleted" package when the new
package is installed, but would not pull in the new package just to obsolete the
old one?
Comment 8 Bill Nottingham 2002-07-20 23:55:27 EDT
*** Bug 69185 has been marked as a duplicate of this bug. ***
Comment 9 Havoc Pennington 2003-01-06 20:09:45 EST
Is there a course of action here that's clearly safe and better than the 
status quo, or should we just say screw it?
Comment 10 Havoc Pennington 2003-01-07 16:36:10 EST
*** Bug 73138 has been marked as a duplicate of this bug. ***
Comment 11 Havoc Pennington 2003-01-07 16:39:22 EST
*** Bug 73139 has been marked as a duplicate of this bug. ***
Comment 12 Matthias Saou 2003-08-06 09:34:29 EDT
Does gnome-libs need to contain a shared db1 library? Wouldn't linking it
statically against its own db1 work around the problem?
This bug surfaces every once in a while, and will probably continue as the
GNOME1 libs aren't something that is easy to get completely rid of...
Comment 13 Havoc Pennington 2003-08-06 10:23:16 EDT
If libgnome currently links to shared db1 it changes the ABI to switch to 
static db1, right?

Oh we can get rid of gnome-libs 1.x, just you wait. ;-)
Pretty much just waiting on gnucash.
Comment 14 Havoc Pennington 2004-05-25 14:18:59 EDT
Does this bug still need to be open? What is the concrete change to
make at this point?
Comment 15 Jonathan Kamens 2004-05-28 05:17:18 EDT
I believe the bug still exists, but it may be mostly moot, considering
how long ago Red Hat last released a db1 package.  I don't know enough
about how upgrading from a Red Hat release that old would work to know
whether the bug still matters.
Comment 16 Havoc Pennington 2004-10-28 14:44:02 EDT
From User-Agent: XML-RPC

Doesn't seem relevant anymore...

Note You need to log in before you can comment on or make changes to this bug.